package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

import static de.uni_marburg.powersort.data.DataArraySizes.SIZE_ASC;

public class AscendingIntegers extends IntegerSupplier {
    public AscendingIntegers() {
        super(IntegerArray.ascending(SIZE_ASC, 1));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(readOnly.length) + " ascending Integer objects.";
    }
}
